
%define release 1

Name: libmxp
Version: 0.2.2
Release: %{release}

Copyright: LGPL
Group: System/Libraries
URL: http://www.kmuddy.org/libmxp/
Packager: Tomas Mecir <kmuddy@kmuddy.org>
Source: http://www.kmuddy.org/libmxp/files/libmxp-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}

Summary: Library to parse MXP (MUD eXtension Protocol) streams.

%description
This library can be used by MUD clients to parse MXP chunks coming from
the MUD server.

# **************************************************************************

%package devel
Summary: Development files for the libmxp library.
Group: Development/Libraries
Requires: libmxp = %{version}-%{release}

%description devel
This package contains development headers for the libmxp library.

# **************************************************************************
# [PREPARATION]
%prep

%setup -q -n libmxp-%{version}

# **************************************************************************
# [BUILD]
%build

%ifarch i386 i486 i586 i686
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed -e 's/-m\(.86\)/-mcpu=i\1/g'`
%endif

./configure.good

make

# **************************************************************************
# [INSTALLATION]
%install

make DESTDIR=$RPM_BUILD_ROOT install-strip

# **************************************************************************
# [VERIFICATION]

# **************************************************************************
# [CLEAN]
%clean

rm -rf $RPM_BUILD_ROOT

# **************************************************************************
# [FILES]
%files

%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog* NEWS README* TODO

# libmxp
%defattr(-, root, root)
%{_prefix}/lib/libmxp.so.0*

%files devel
%defattr(-, root, root)
%doc doc/USAGE
%{_prefix}/include
%{_prefix}/lib/libmxp.so
%{_prefix}/lib/libmxp.la

